org.eclipse.oomph.setup

## Interface ResourceCreationTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    ResourceCreationTaskImpl

      public interface ResourceCreationTask
      extends SetupTask

  A representation of the model object 'Resource Creation Task'.

  The following features are supported:

  - `Content`
  - `Target URL`
  - `Encoding`
  See Also:
    `SetupPackage.getResourceCreationTask()`
  Generated
  Model

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Returns the value of the 'Content' attribute.
    `String` | `getEncoding()` Returns the value of the 'Encoding' attribute.
    `String` | `getTargetURL()` Returns the value of the 'Target URL' attribute.
    `void` | `setContent(String value)` Sets the value of the '`Content`' attribute.
    `void` | `setEncoding(String value)` Sets the value of the '`Encoding`' attribute.
    `void` | `setTargetURL(String value)` Sets the value of the '`Target URL`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getContent

          String getContent()

      Returns the value of the 'Content' attribute.

      If the meaning of the 'Content' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Content' attribute.
      See Also:
        `setContent(String)`, `SetupPackage.getResourceCreationTask_Content()`
      Generated
      Model
        required="true"

    - #### setContent

          void setContent(String value)

      Sets the value of the '`Content`' attribute.
      Parameters:
        `value` - the new value of the 'Content' attribute.
      See Also:
        `getContent()`
      Generated

    - #### getTargetURL

          String getTargetURL()

      Returns the value of the 'Target URL' attribute.

      If the meaning of the 'Target URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Target URL' attribute.
      See Also:
        `setTargetURL(String)`, `SetupPackage.getResourceCreationTask_TargetURL()`
      Generated
      Model
        required="true"

    - #### setTargetURL

          void setTargetURL(String value)

      Sets the value of the '`Target URL`' attribute.
      Parameters:
        `value` - the new value of the 'Target URL' attribute.
      See Also:
        `getTargetURL()`
      Generated

    - #### getEncoding

          String getEncoding()

      Returns the value of the 'Encoding' attribute.

      If the meaning of the 'Encoding' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Encoding' attribute.
      See Also:
        `setEncoding(String)`, `SetupPackage.getResourceCreationTask_Encoding()`
      Generated
      Model

    - #### setEncoding

          void setEncoding(String value)

      Sets the value of the '`Encoding`' attribute.
      Parameters:
        `value` - the new value of the 'Encoding' attribute.
      See Also:
        `getEncoding()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html